radius_request_authenticator
radius_send_request
Radius Functions
PHP Manual

# radius_salt_encrypt_attr

Salt-encrypts a value

### Description

string radius_salt_encrypt_attr ( resource `$radius_handle` , string `$data` )

Applies the RADIUS salt-encryption algorithm to the given value.

In general, this is achieved automatically by providing the `RADIUS_OPTION_SALT` option to an attribute setter function, but this function can be used if low-level request construction is required.

### Parameters

`data`

  The data to be salt-encrypted.

### Return Values

Returns the salt-encrypted data or `FALSE` on failure.

### See Also

- radius_put_addr
- radius_put_attr
- radius_put_int
- radius_put_string